Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
SpanQueryFilter.h File Reference
`#include "SpanFilter.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::SpanQueryFilter
| Constrains search results to only match those which also match a provided query. Also provides position information about where each document matches at the cost of extra space compared with the QueryWrapperFilter. There is an added cost to this above what is stored in a QueryWrapperFilter. Namely, the position information for each matching document is stored. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net